Bug 865901 - [abrt]: BUG: soft lockup - CPU#4 stuck for 23s! [kworker/u:0:2019]: TAINTED P
[abrt]: BUG: soft lockup - CPU#4 stuck for 23s! [kworker/u:0:2019]: TAINTED P
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:4054f308004e071602b944b1536...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 14:50 EDT by thevoice1017
Modified: 2013-01-02 12:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-02 12:22:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description thevoice1017 2012-10-12 14:50:31 EDT
Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/vmlinuz-3.5.4-2.fc17.x86_64 root=UUID=0d86ebc5-a5ee-4dd7-8561-c5f62dc944c6 ro nomodeset rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 ro rhgb rd.luks=0 LANG=en_US.UTF-8 rdblacklist=nouveau nouveau.modeset=0
kernel:         3.5.4-2.fc17.x86_64
kernel_tainted_long: Proprietary module has been loaded.

backtrace:
:BUG: soft lockup - CPU#4 stuck for 23s! [kworker/u:0:2019]
:Modules linked in: fuse des_generic md4 nls_utf8 cifs fscache fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables iptable_nat nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack jfs snd_hda_codec_hdmi snd_hda_intel snd_ca0106 snd_hda_codec snd_ac97_codec snd_hwdep ac97_bus snd_rawmidi coretemp kvm_intel snd_seq snd_seq_device snd_pcm snd_page_alloc nvidia(PO) kvm e1000e snd_timer snd soundcore microcode lpc_ich mfd_core i2c_i801 i2c_core serio_raw nfsd nfs_acl auth_rpcgss lockd sunrpc binfmt_misc uinput crc32c_intel ghash_clmulni_intel mpt2sas raid_class scsi_transport_sas [last unloaded: scsi_wait_scan]
:CPU 4 
:Modules linked in: fuse des_generic md4 nls_utf8 cifs fscache fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables iptable_nat nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack jfs snd_hda_codec_hdmi snd_hda_intel snd_ca0106 snd_hda_codec snd_ac97_codec snd_hwdep ac97_bus snd_rawmidi coretemp kvm_intel snd_seq snd_seq_device snd_pcm snd_page_alloc nvidia(PO) kvm e1000e snd_timer snd soundcore microcode lpc_ich mfd_core i2c_i801 i2c_core serio_raw nfsd nfs_acl auth_rpcgss lockd sunrpc binfmt_misc uinput crc32c_intel ghash_clmulni_intel mpt2sas raid_class scsi_transport_sas [last unloaded: scsi_wait_scan]
:Pid: 2019, comm: kworker/u:0 Tainted: P           O 3.5.4-2.fc17.x86_64 #1 Supermicro X9SCI/X9SCA/X9SCI/X9SCA
:RIP: 0010:[<ffffffff8160ccc7>]  [<ffffffff8160ccc7>] _raw_spin_unlock_irqrestore+0x17/0x20
:RSP: 0018:ffff88020ea63b08  EFLAGS: 00000286
:RAX: 0000000000000286 RBX: 0000000000000001 RCX: 00000000000000df
:RDX: ffff88022ec04818 RSI: 0000000000000286 RDI: 0000000000000286
:RBP: ffff88020ea63b30 R08: ffffffff81cd83d0 R09: 0000000000000080
:R10: 0000000000000001 R11: 0000000000000000 R12: ffff88022fbf4128
:R13: ffff88020ea63b00 R14: ffff88020ea63aa0 R15: ffffffff81076846
:FS:  0000000000000000(0000) GS:ffff88023fd00000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:CR2: 0000000000486120 CR3: 0000000001c0b000 CR4: 00000000000407e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process kworker/u:0 (pid: 2019, threadinfo ffff88020ea62000, task ffff8802181fae20)
:Stack:
: ffffffff813dc15a 0000000000000010 ffff88022ec04800 ffff880230d45ff0
: ffff88022ec07800 ffff88020ea63b80 ffffffff813deab9 0000000000000202
: ffff880230d46000 ffffffffa000427f ffff88022ec07800 ffff88022f3f48e8
:Call Trace:
: [<ffffffff813dc15a>] ? scsi_target_reap+0x6a/0xf0
: [<ffffffff813deab9>] scsi_remove_target+0x199/0x1c0
: [<ffffffffa0000e7d>] sas_rphy_remove+0x5d/0x70 [scsi_transport_sas]
: [<ffffffffa00028d6>] sas_rphy_delete+0x16/0x30 [scsi_transport_sas]
: [<ffffffffa000291a>] sas_port_delete+0x2a/0x120 [scsi_transport_sas]
: [<ffffffffa00310d9>] mpt2sas_transport_port_remove+0x179/0x1b0 [mpt2sas]
: [<ffffffffa0022b10>] _scsih_remove_device+0xc0/0x110 [mpt2sas]
: [<ffffffffa002b0f8>] mpt2sas_device_remove_by_sas_address+0x88/0xa0 [mpt2sas]
: [<ffffffffa002b7e0>] _firmware_event_work+0x540/0x1be0 [mpt2sas]
Comment 1 Josh Boyer 2012-10-15 05:48:23 EDT
Can you recreate this without the nvidia module loaded?
Comment 2 thevoice1017 2012-10-15 17:24:12 EDT
not sure how to recreate as I do not know how it happened. My computer froze and had to to a hard reboot. this happens quite infrequent.. within a couple of days of running.

Note You need to log in before you can comment on or make changes to this bug.